﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {
    public class adddatasetrow : CustomFunctionBase {

        public adddatasetrow(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "dataset", "object" }) {
        }

        public override object evaluate() {
            DataSet dataset = (DataSet)this.parameters[0];
            object[] rowData = new object[this.parameters.Length - 1];
            for (int i = 1; i < this.parameters.Length; i++) {
                rowData[i - 1] = this.parameters[i];
            }
            dataset.addRow(rowData);
            return dataset;
        }

    }
}