﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;

namespace QPR.QPRSuite.NCalc {
    public class applicationsetting : CustomFunctionBase {

        public applicationsetting(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "String" }) {
        }

        public override object evaluate() {
            string settingName = (String)this.parameters[0];
            if (string.IsNullOrEmpty(settingName)) return "";
            return this.context.getOptionalApplicationSetting(settingName);
        }

    }
}