﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System.Collections.Generic;

namespace QPR.QPRSuite.NCalc {
    public class arrayreverse : CustomFunctionBase {

        public arrayreverse(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "Object[]", }) {
        }

        public override object evaluate() {
            object[] arrayToReverse = (object[])this.parameters[0];
            if (arrayToReverse == null) return arrayToReverse;
            List<object> list = new List<object>(arrayToReverse);
            list.Reverse();
            return list.ToArray();
        }

    }
}