﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {

    public class average : CustomFunctionBase {

        private FunctionArgs arguments;

        public average(FunctionArgs arguments, IContextManager context)
            : base(arguments, context, 1, new string[] { "object[]" }) {
            this.arguments = arguments;
        }

        public override object evaluate() {
            context.getExpressionEngine().customFunctions("sum", this.arguments);
            double sum = (double)this.arguments.Result;
            context.getExpressionEngine().customFunctions("count", this.arguments);
            int count = (int)this.arguments.Result;
            if (count == 0) this.arguments.Result = null;
            return sum / count;
        }

    }
}