﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;

namespace QPR.QPRSuite.NCalc {

    public class concatenate : CustomFunctionBase {

        public concatenate(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "object[]", "string" }) {
        }

        public override object evaluate() {
            object[] inputArray = (object[])this.parameters[0];
            string separator = (string)this.parameters[1];
            if (separator == null) separator = "";
            if (inputArray == null) return "";
            string concatenatedString = "";
            
            for (int i = 0; i < inputArray.Length; i++) {
                string item = Convert.ToString(inputArray[i]);
                if (item == null) item = "";
                if (i == 0) {
                    concatenatedString = item;
                } else {
                    concatenatedString = concatenatedString + separator + item;
                }
            }
            return concatenatedString;
        }

    }
}