﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;

namespace QPR.QPRSuite.NCalc {
    public class htmlencode : CustomFunctionBase {

        public htmlencode(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "String" }) {
        }

        public override object evaluate() {
            String stringToConvert = (String)this.parameters[0];
            if (String.IsNullOrEmpty(stringToConvert)) return stringToConvert;
            return System.Net.WebUtility.HtmlEncode(stringToConvert);
        }

    }
}