﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;
using System.Linq;

namespace QPR.QPRSuite.NCalc {

    public class instanceidfromfullid : CustomFunctionBase {

        public instanceidfromfullid(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "string" }) {
        }

        public override object evaluate() {
            string[] splittedId = ((string)this.parameters[0]).Split(new Char[] { '.' });
            if (splittedId != null && splittedId.Count() > 3) {
                return splittedId[3];
            } else {
                return "";
            }
        }

    }
}