﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {

    public class lastindexof : CustomFunctionBase {

        public lastindexof(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "string", "string", "int" }) {
        }

        public override object evaluate() {
            string searchTo = (string)this.parameters[0];
            string searchFrom = (string)this.parameters[1];
            int startIndex = int.MinValue;
            if (this.parameters.Length > 2 && this.parameters[2] != null) {
                startIndex = (int)this.parameters[2];
            }
            if (startIndex == int.MinValue) {
                return searchTo.LastIndexOf(searchFrom);
            } else {
                return searchTo.LastIndexOf(searchFrom, startIndex);
            }
        }

    }
}

