﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;
using System.Collections.Generic;

namespace QPR.QPRSuite.NCalc {
    public class switchcase : CustomFunctionBase {

        public switchcase(FunctionArgs args, IContextManager context)
            : base(args, context, 3, new string[] { "object", "object", "object", "object" }) {
        }

        public override object evaluate() {
            if (this.parameters.Length % 2 == 1) throw new Exception("Number of parameters don't match - it must be an equal number (4, 6, 8, ...)");
            object controlExpression = this.parameters[0];
            object defaultValue = this.parameters[this.parameters.Length - 1];
            for (int i = 1; i < this.parameters.Length - 1; i = i + 2) {
                if (DataSetRow.compareObjects(controlExpression, this.parameters[i]) == 0) {
                    return this.parameters[i + 1];
                }
            }
            return defaultValue;
        }

    }
}