﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {

    public class arraysize : CustomFunctionBase {

        public arraysize(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "object[]" }) {
        }

        public override object evaluate() {
            object[] array = (object[])this.parameters[0];
            if (array == null) return -1;
            return array.Length;
        }

    }
}