﻿using System;
using System.Collections.Generic;
using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {

    public class datasetsize : CustomFunctionBase {

        public datasetsize(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "DataSet" }) {
        }

        public override object evaluate() {
            DataSet dataset = (DataSet)this.parameters[0];
            if (dataset == null) return -1;
            return dataset.rowsCount();
        }

    }
}