﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System.Collections.Generic;
using System.Linq;

namespace QPR.QPRSuite.NCalc {

    public class indexofanyinarray : CustomFunctionBase {

        public indexofanyinarray(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "object[]", "object[]" }) {
        }

        public override object evaluate() {
            object[] array1 = (object[])this.parameters[0];
            object[] array2 = (object[])this.parameters[0];
            if (array1 == null || array2 == null) return -1;
            List<object> array1AsList = array1.ToList();
            for (int i = 0; i < array2.Length; i++) {
                if (array1AsList.IndexOf(array2[i]) > -1) return array1AsList.IndexOf(array2[i]);
            }
            return -1;
        }

    }
}