﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;

namespace QPR.QPRSuite.NCalc {

    public class intersect : CustomFunctionBase {

        public intersect(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "DataSet", "DataSet" }) {
        }

        public override object evaluate() {
            DataSet dataset1 = (DataSet)this.parameters[0];
            DataSet dataset2 = (DataSet)this.parameters[1];
            if (dataset1 == null || dataset2 == null) return null;
            return dataset1.intersect(dataset2);
        }

    }
}