﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;

namespace QPR.QPRSuite.NCalc {
    public class toarray : CustomFunctionBase {

        public toarray(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "string", "string", "boolean" }) {
        }

        public override object evaluate() {
            string inputString = (string)this.parameters[0];
            if (inputString == null) return null;
            string separator = (string)this.parameters[1];
            bool removeEmpties = false;
            if (this.parameters.Length > 2 && this.parameters[2] != null) {
                removeEmpties = (bool)this.parameters[2];
            }
            return (object[])inputString.Split(new String[] { separator }, (removeEmpties ? StringSplitOptions.RemoveEmptyEntries : StringSplitOptions.None));
        }

    }
}