﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;

namespace QPR.QPRSuite.NCalc {
    public class tometricsdateformat : CustomFunctionBase {

        public tometricsdateformat(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "datetime" }) {
        }

        public override object evaluate() {
            DateTime dateValue = (DateTime)this.parameters[0];
            DateTime beginDate = new DateTime(1899, 12, 30); //for some reason this date matches
            long elapsedTicks = ((DateTime)dateValue).Ticks - beginDate.Ticks;
            return (new TimeSpan(elapsedTicks)).TotalDays;
        }

    }
}