﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;

namespace QPR.QPRSuite.NCalc {
    public class urlencode : CustomFunctionBase {

        public urlencode(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "string" }) {
        }

        public override object evaluate() {
            String stringToConvert = (String)this.parameters[0];
            if (String.IsNullOrEmpty(stringToConvert)) return stringToConvert;
            return System.Net.WebUtility.UrlEncode(stringToConvert);
        }

    }
}