﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {

    public class wssessionid : CustomFunctionBase {

        public wssessionid(FunctionArgs args, IContextManager context)
            : base(args, context, 0, new string[] { }) {
        }

        public override object evaluate() {
            if (this.context != null && this.context.getWebServiceClient() != null) {
                string wsSessionId = this.context.getWebServiceClient().getWebServiceSessionId();
                if (wsSessionId == null) wsSessionId = "";
                return wsSessionId;
            } else {
                return "";
            }
        }

    }
}